%define modname	String-CRC32
Name:           perl-%{modname}
Version:        1.4
Release:        2.3
Summary:        Perl interface for cyclic redundency check generation
Requires:       perl
BuildRequires:  perl
License:        Public Domain
Group:          Development/Libraries/Perl
Source:         %{modname}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-root

%description
The CRC32 module calculates CRC sums of 32 bit lengths. It generates the same
CRC values as ZMODEM, PKZIP, PICCHECK and many others.

Authors:
--------
    Soenke J. Peters <peters__perl@opcenter.de>

%prep
%setup -q -n %{modname}-%{version}

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make
make test

%install
rm -rf %{buildroot}
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README
%doc %{_mandir}/man?/*
%{perl_vendorarch}/String
%{perl_vendorarch}/auto/String
/var/adm/perl-modules/%{name}

%changelog

* Tue Sep 12 2006 - James Oakley <jfunk@funktronics.ca> - 1.4-1
- Initial release
